### gootp

[![asciicast](https://asciinema.org/a/s9eF7EbqgnCkoLVwbv0TE0a8Y.svg)](https://asciinema.org/a/s9eF7EbqgnCkoLVwbv0TE0a8Y)

gootp is a terminal-based 2FA (Two-Factor Authentication) app.

## Features
- Supported algorithms: TOTP
- Compatible with [andOTP](https://github.com/andOTP/andOTP) backup file format
- Encrypt/decrypt andOTP backup files on your PC

## Installation

Prerequisites:
1. Go 1.21+
2. [Backup file](https://github.com/andOTP/andOTP#backups=)

```shell
go install gitea.dwysokinski.me/Kichiyaki/gootp@latest
cp /path/to/andotp/file ~/.otp_accounts.json # !IMPORTANT! this backup file must be encrypted
```
## Examples

```shell
gootp # start gootp
gootp -h # show a list of commands
gootp -p /path/to/andotp/file/.otp_accounts.json # override the default path
gootp --password xxx # specify an encryption password via flag
gootp -p /path/to/andotp/file/.otp_accounts.json encrypt -o /output/.otp_accounts.json.aes # encrypt a file
gootp -p /path/to/andotp/file/.otp_accounts.json.aes decrypt -o /output/.otp_accounts.json # decrypt a file
```

## License

Distributed under the MIT License. See ``LICENSE`` for more information.

## Contact

Dawid Wysokiński - [contact@dwysokinski.me](mailto:contact@dwysokinski.me)
